> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Labels PDF

> Retrieve order labels pdf via the Junction API. Requires authentication with your team API key.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
       --url '{{BASE_URL}}/v3/order/<order_id>/labels/pdf' \
       --header 'accept: application/pdf' \
       --header 'x-vital-api-key: {YOUR_KEY}' \
       --output file.pdf
  ```
</RequestExample>


## OpenAPI

````yaml GET /v3/order/{order_id}/labels/pdf
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.4.495
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v3/order/{order_id}/labels/pdf:
    get:
      tags:
        - order
      summary: Get Order Labels
      description: This endpoint returns the printed labels for the order.
      operationId: get_order_labels_v3_order__order_id__labels_pdf_get
      parameters:
        - name: order_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Order Id
        - name: number_of_labels
          in: query
          required: false
          schema:
            type: integer
            description: Number of labels to generate
            default: 3
            title: Number Of Labels
          description: Number of labels to generate
        - name: collection_date
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: Collection date
            title: Collection Date
          description: Collection date
      responses:
        '200':
          description: PDF with labels
          content:
            application/json:
              schema:
                title: Response Get Order Labels V3 Order  Order Id  Labels Pdf Get
            application/pdf:
              schema:
                type: string
                format: binary
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````